--- title: "Export SDK" slug: "apigateway-getexport" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-getexport" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Export SDK Available in Classic and VPC Export and download a deployed API in Swagger JSON 2.0, Open API JSON 3.0, and Java SDK formats. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /api/v1/products/{product-id}/apis/{api-id}/stages/{stage-id}/export | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `product-id` | String | Required | Product ID that the API belongs to - 1 - 10 - See [View product list](/docs/en/apigateway-product-getproductlist) | | `api-id` | String | Required | ID of the API whose document you want to export - 1 - 10 characters - See [View API](/docs/en/apigateway-api-apis) | | `stage-id` | String | Required | Stage ID where the API is deployed - 1 - 10 characters - See [View stage list](/docs/en/apigateway-stage-getstagelist) | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `platform` | String | Optional | Platform file format to download - `SWAGGER_JSON` (default) \| `OPENAPI3_JSON` \| `JAVA_SDK` - `SWAGGER_JSON`: Swagger JSON 2.0 format - `OPENAPI3_JSON`: Open API JSON 3.0 format - `JAVA_SDK`: Java SDK format | | `packageName` | String | Optional | Name of package to export | | `groupId` | String | Optional | Specify group ID in Java when exporting to Java SDK format | | `artifactId` | String | Optional | Specify artifact ID in Java when exporting to Java SDK format | | `artifactVersion` | String | Optional | Specify artifact version in Java when exporting to Java SDK format | | `license` | String | Optional | Specify Java license when exporting to Java SDK format | | `version` | String | Optional | Specify Java version when exporting to Java SDK format | ### Request example The following is a sample request. ``` curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/stages/y7ri4o8kia/export?platform=SWAGGER_JSON&packageName=package01' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` "Download File" ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "swagger" : "2.0", "info" : { "description" : "
https://********o9.apigw.ntruss.com/sample22/v1", "version" : "2024-05-02T07:35:04Z", "title" : "sample22" }, "host" : "********o9.apigw.ntruss.com", "basePath" : "/sample22/v1", "schemes" : [ "https" ], "paths" : { "/" : { }, "/apigw" : { }, "/apigw/v1" : { }, "/apigw/v1/api-keys" : { "get" : { "tags" : [ "v1" ], "description" : "demo /apigw/v1/api-keys", "consumes" : [ "application/json", "text/plain" ], "produces" : [ "application/json", "text/plain" ], "parameters" : [ { "name" : "x_header", "in" : "header", "description" : "header 1", "required" : true, "type" : "string", "x-ncp-parameter-is-logged" : false }, { "name" : "name", "in" : "query", "description" : "name desc", "required" : false, "type" : "string", "x-ncp-parameter-is-logged" : false } ], "responses" : { "200" : { "description" : "", "headers" : { "x_header" : { "type" : "string", "description" : "ok" } }, "schema" : { "$ref" : "#/definitions/ApiKeyDto" } }, "404" : { "description" : "not found" } }, "x-ncp-apigw-use-body-when-formdata" : false, "x-ncp-apigateway-filters" : { "valid" : { "type" : "NONE" }, "apiKey" : { "required" : false }, "auth" : { "platform" : "NONE" } }, "x-ncp-apigateway-endpoint" : { "MOCK" : { "httpStatus" : 200, "response" : "12121", "headers" : { "mock-header" : "header value" } } } }, "post" : { "tags" : [ "v1" ], "description" : "demo post /apigw/v1/api-keys", "consumes" : [ "application/json" ], "produces" : [ "application/json" ], "parameters" : [ { "in" : "body", "name" : "apiKey", "description" : "request body", "required" : true, "schema" : { "$ref" : "#/definitions/ApiKeyDto" } } ], "responses" : { "200" : { "description" : "", "headers" : { "x_header" : { "type" : "string", "description" : "ok" } }, "schema" : { "$ref" : "#/definitions/ApiKeyDto" } }, "404" : { "description" : "not found" } }, "x-ncp-apigw-use-body-when-formdata" : false, "x-ncp-apigateway-filters" : { "valid" : { "type" : "NONE" }, "apiKey" : { "required" : false }, "auth" : { "platform" : "NONE" } }, "x-ncp-apigateway-endpoint" : { "HTTP" : { "method" : "POST", "url" : "/api-keys", "stream" : false } } } }, "/apigw/v1/apis" : { "get" : { "tags" : [ "v1" ], "description" : "demo apigw/v1/apis", "consumes" : [ "application/json" ], "produces" : [ "text/plain" ], "parameters" : [ ], "responses" : { "200" : { "description" : "", "headers" : { "x_header" : { "type" : "string", "description" : "ok" } }, "schema" : { "$ref" : "#/definitions/ApiKeyDto" } }, "404" : { "description" : "not found" } }, "x-ncp-apigw-use-body-when-formdata" : false, "x-ncp-apigateway-filters" : { "valid" : { "type" : "NONE" }, "apiKey" : { "required" : false }, "auth" : { "platform" : "NONE" } }, "x-ncp-apigateway-endpoint" : { "MOCK" : { "httpStatus" : 200, "response" : "11111", "headers" : { "mock-header" : "header value" } } } } } }, "definitions" : { "ApiKeyDto" : { "type" : "object", "properties" : { "apiKeyDescription" : { "type" : "string" }, "apiKeyId" : { "type" : "string" }, "apiKeyName" : { "type" : "string" } }, "description" : "demo model", "x-ncp-model-description" : "demo model" } } } ```